For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to page URLs.
Skip to content

Windows Component

List

get

Retrieve Windows Component Custom

Path parameters
idinteger · int32Required

The ID of the optimization setting to retrieve the windows component custom list.

Responses
200

Success

application/json; api-version=1.0

Image optimization windows component

typestring · enumOptional

Details Type

Possible values:
componentNamestring · nullableOptional

Windows Components Name

displayNamestring · nullableOptional

Windows Components Display Name

aliasesstring · nullableOptional

Windows Components Aliases

get/api/AVD/HostPool/{id}/Optimization/WindowsComponent
GET /api/AVD/HostPool/{id}/Optimization/WindowsComponent HTTP/1.1
Accept: */*
[
  {
    "type": [
      "0 = Predefined",
      "1 = Custom"
    ],
    "componentName": "text",
    "displayName": "text",
    "aliases": "text"
  }
]

Add

post

Adds a Windows Component Custom to optimization.

Path parameters
idinteger · int32Required

The ID of the Optimization settings to add the windows component custom.

Body
aliasesstring · max: 255 · nullableOptional

Windows Components Alias

displayNamestring · max: 255 · nullableOptional

Windows Components Diplay Name

componentNamestring · max: 255 · nullableOptional

Windows Components Name

Responses
201

Created

No content

post/api/AVD/HostPool/{id}/Optimization/WindowsComponent
POST /api/AVD/HostPool/{id}/Optimization/WindowsComponent HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 62

{
  "aliases": "text",
  "displayName": "text",
  "componentName": "text"
}

No content

Delete

delete

Removes Windows Component Custom From Optimization.

Path parameters
idinteger · int32Required

The ID of the optimization setting to remove the windows component custom.

Body
componentNamestring · max: 255 · nullableOptional

Windows Component Name

Responses
204

No Content

No content

delete/api/AVD/HostPool/{id}/Optimization/WindowsComponent
DELETE /api/AVD/HostPool/{id}/Optimization/WindowsComponent HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 24

{
  "componentName": "text"
}

No content